- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# device Struct Reference

`#include <device.old.h>`

Collaboration diagram for device:

[legend]

## Data Fields
uInt16 | ioAddr
uInt32 | irq
uInt32 | mtu
net * | net
ei_device * | priv

## Detailed Description

Definition at line 29 of file device.old.h.

## Field Documentation

uInt16 device::ioAddr

Definition at line 31 of file device.old.h.

Referenced by dp_recv(), getblock(), ne2k_init(), ne2kHandler(), NICtoPC(), and PCtoNIC().

uInt32 device::irq

Definition at line 32 of file device.old.h.

Referenced by ne2k_init().

uInt32 device::mtu

Definition at line 34 of file device.old.h.

struct net* device::net

Definition at line 30 of file device.old.h.

struct ei_device* device::priv

Definition at line 33 of file device.old.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/device.old.h